Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QDialogButtonBox.ButtonLayout

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QDialogButtonBox.ButtonLayout

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDialogButtonBox

    public static final class QDialogButtonBox.ButtonLayout

extends java.lang.Enum
implements QtEnumerator

This enum describes the layout policy to be used when arranging the buttons contained in the button box. The button layout is specified by the `current style`.

See Also:
  Serialized Form

Field Summary
`static QDialogButtonBox.ButtonLayout` | `GnomeLayout` Use a policy appropriate for applications on GNOME.
`static QDialogButtonBox.ButtonLayout` | `KdeLayout` Use a policy appropriate for applications on KDE.
`static QDialogButtonBox.ButtonLayout` | `MacLayout` Use a policy appropriate for applications on Mac OS X.
`static QDialogButtonBox.ButtonLayout` | `WinLayout` Use a policy appropriate for applications on Windows.

Method Summary
`static QDialogButtonBox.ButtonLayout` | `resolve(int value)` Returns the QDialogButtonBox$ButtonLayout constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDialogButtonBox.ButtonLayout` | `valueOf(java.lang.String name)`
`static QDialogButtonBox.ButtonLayout[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WinLayout

    public static final QDialogButtonBox.ButtonLayout WinLayout

  Use a policy appropriate for applications on Windows.

### MacLayout

    public static final QDialogButtonBox.ButtonLayout MacLayout

  Use a policy appropriate for applications on Mac OS X.

### KdeLayout

    public static final QDialogButtonBox.ButtonLayout KdeLayout

  Use a policy appropriate for applications on KDE.

### GnomeLayout

    public static final QDialogButtonBox.ButtonLayout GnomeLayout

  Use a policy appropriate for applications on GNOME.

Method Detail

### values

    public static QDialogButtonBox.ButtonLayout[] values()

### valueOf

    public static QDialogButtonBox.ButtonLayout valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDialogButtonBox.ButtonLayout resolve(int value)

  Returns the QDialogButtonBox$ButtonLayout constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD